<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    use HasFactory;

    protected $fillable = [
        'name',
        'type'
    ];



    public function laws()
    {
        return $this->hasMany(Law::class);
    }


    public static function getType()
    {
        return [
            'hagigi' => 'حقیقی',
            'kifari' => 'کیفری'
        ];
    }
}
